# Installation de l'infrastructure 

### Lancement

#### Certs

Au premier lancement, assurez-vous que :

- Le dossier `/DATA/docker/traefik/certs` existe
- Créez un fichier `acme.json` à l'intérieur
- Changez son propriétaire à `root`
- Changez ses permissions à `600`

C'est dans ce fichier que seront conservés tous les certificats générés par Traefik.

### Migration des données

1. Mettre nextcloud en mode maintenance : 
```
sudo -u www-data php occ maintenance:mode --on
```
2. Faire un dump de la bdd
```
sudo -u postgres pg_dump -Fc  nc > nc.dump
```
3. Sauver les données du dossier nextcloud
```
mkdir /var/lib/backuppc/migration
tar caf /var/lib/backuppc/migration/nextcloud.tar.xz /srv/nextcloud/
```
4. Sauver le fichier de configuration de nextcloud
```
# par précaution, ne devrait pas être utile
cp /var/www/nextcloud/public_html/config/config.php /var/lib/backuppc/migration
```

